# Uses of Interface
org.opensaml.soap.wstrust.RequestType

Packages that use RequestType
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of RequestType in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement RequestType
Modifier and Type
Class
Description
`class`
`RequestTypeImpl`
RequestTypeImpl.
Methods in org.opensaml.soap.wstrust.impl that return RequestType
Modifier and Type
Method
Description
`RequestType`
RequestTypeBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`RequestType`
RequestTypeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.